<!--
 * @Author: tengmingxue 1473375109@qq.com
 * @Date: 2023-06-06 15:16:23
 * @LastEditors: tengmingxue 1473375109@qq.com
 * @LastEditTime: 2023-06-08 17:49:57
 * @FilePath: \yx-big-screen\src\views\map\dialog\HistoryInfo\index.vue
 * @Description: 历史信息
-->


<template>
  <!-- 历史信息 -->
  <div class="history-info">
    <query-condition />
    <row-table :geologicalInfo="geologicalInfo"/>
  </div>
</template>
        
  <script>
import { defineComponent, reactive, toRefs, onMounted, ref, watch, getCurrentInstance } from 'vue';
import moment from 'moment';
// import QueryCondition from '../component/QueryCondition.vue';
import QueryCondition from './QueryCondition.vue';
import RowTable from './RowTable.vue';
const props = {
  /**
   * 地灾信息
   * */
  geologicalInfo: { type: Object, require: true },
};
export default defineComponent({
  name: 'HistoryInfo',
  components: { QueryCondition, RowTable },
  props,
  setup(props) {
    const data = reactive({
      geologicalInfo: props.geologicalInfo,
    });
    watch(
      () => props.geologicalInfo,
      (value) => {
        data.geologicalInfo = value;
      }
    );
    
    onMounted(() => {});
    return {
      ...toRefs(data),
    };
  },
});
</script>
    <style lang="less" scoped>
.history-info {
  position: relative;
  height: 100%;
  width: 100%;
  padding: 10px;
  overflow: auto;
}
</style>